<header title="{{videotitle}}"></header>
<ion-content>
  <ion-grid style="height: 100%">
    <!-- <h2 class="ion-padding-horizontal">
      Step 1: Video
    </h2> -->
    <div class="ion-text-center" style="height: 300px;">
      <!--src="{{videoUrl}}"-->

      <!-- (timeupdate)="setCurrentTime()"  -->
      <video id="video1" #video1 src="{{videourl}}" (click)="hideShow()"
      (loadedmetadata)="onMetadata($event, video1)"
      (timeupdate)="setCurrentTime($event, video1)"
        playsinline poster="{{videoimage}}">
      </video>
      <!-- <img [src]="videoimage" class="img-container"> -->
      <!-- <video poster="{{videoimage}}" src="{{video_link}}" id="video1" (click)="hideShow()" playsinline allowfullscreen>
      </video> -->
      <ion-row class="pos_play_btn ion-align-items-center ion-justify-content-center" *ngIf="hide_show_icon">
        <ion-col size="4">
        </ion-col>
        <ion-col size="4" class="text-center" *ngIf="!adsDisabled">
          <!-- <img id="btnPlay" *ngIf="btnPlay" value="Play" (click)="PlayNow(video1)" src="assets/icon/play.svg"> -->
          <img id="btnPlay" *ngIf="btnPlay" value="Play" (click)="PlayNow()" src="assets/icon/play.svg">
          <img id="btnPause" *ngIf="btnPause" value="Pause" (click)="PauseNow()" src="assets/icon/pause.svg">
        </ion-col>
        <ion-col size="4" class="text-center">
        </ion-col>
      </ion-row>
      <ion-toolbar class="ion_toolbar_time_seekbar">
        <ion-row>
          <ion-col size="3">
            <div class="time-display-content cbox" aria-label="">
              <span class="time-first" aria-label="Time elapsed0:01" role="text" id="lblTime">00:00</span>
              <span class="time-delimiter" aria-hidden="true">/</span>
              <span class="time-second" aria-label="Time duration4:53" id="lblTime2" role="text">00:00</span>
            </div>
          </ion-col>
          <ion-col size="7" class="text-center">
            <!-- <ion-range [disabled]="adsDisabled" [(ngModel)]="myValue" min="1000" max="2000" step="any" snaps="true" id="seekbar" color="primary" (ionChange)="ChangeTheTime($event)"></ion-range> -->
            <!-- <ion-input type="range" step="any" id="seekbar" (ionChange)="ChangeTheTime()"></ion-input> -->
            <input type="range" step="any" id="seekbar" onchange="ChangeTheTime()">
            <!-- //////////////////// the below code for seekbar ////////////      -->
            <!-- <input type="range" step="any" id="seekbar" onchange="ChangeTheTime()" (click)="ChangeTheTime()"> -->
          </ion-col>
          <ion-col size="2" class="text-center">
            <!-- <label id="lblTime">-:--:--</label> -->
          </ion-col>
        </ion-row>
      </ion-toolbar>
      <!-- <ion-button id="btnMute" *ngIf="btnunMute" value="Mute" onclick="MuteNow()" (click)="unMute()"><img
          src="assets/volume.svg"></ion-button>
      <ion-button id="btnMute" *ngIf="btnMute" value="Mute" onclick="MuteNow()" (click)="Mute()"><img
          src="assets/mute.svg"></ion-button>
  
      <br />
      Volume :
      <input type="range" min="0" max="1" step="0.1" id="volume" onchange="ChangeVolume()" (click)="ChangeVolume()">
      <br />
      Time lapsed:
      <input type="range" step="any" id="seekbar" onchange="ChangeTheTime()" (click)="ChangeTheTime()">
      <label id="lblTime">-:--:--</label> -->
    </div>
    <!-- <div>{{timer}}</div>
    <div>{{maxTime}}</div> -->
    <h2 class="ion-padding-horizontal">
      Step 2: Supporting Class Dcuments
    </h2>
    <ion-row class="ion-padding-horizontal">
      <ion-col size="12">
        <ion-button expand="full" [disabled]="pdf" (click)="downloadPdf(pdfFile)">
          <ion-icon slot="start" src="assets/icon/pdf.svg"></ion-icon>Print Materials
        </ion-button>
      </ion-col>
      <ion-col size="12">
        <ion-input placeholder="Entry one (Fill in)"></ion-input>
      </ion-col>
      <ion-col size="12">
        <ion-input placeholder="Entry two (Fill in)"></ion-input>
      </ion-col>
      <ion-col size="12">
        <ion-textarea rows="6" cols="20" placeholder="Entry Three (Fill in)"></ion-textarea>
      </ion-col>
    </ion-row>
    <h2 class="ion-padding-horizontal">
      Step 3: Quiz
    </h2>
    <ion-row class="ion-padding-horizontal ion-margin-bottom">
      <ion-col size="12">
        <ion-button class="quiz_button" expand="full" [disabled]="take_quiz" (click)="startQuiz()">
          Take quiz now
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>

</ion-content>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>